[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] E CVS: apps/e raster



Carsten Haitzler (The Rasterman) wrote:
On Thu, 02 Nov 2006 19:03:32 +0100 Kim Woelders <kim@woelders.dk> babbled:

Enlightenment CVS wrote:
Enlightenment CVS committal

Author  : raster
Project : e17
Module  : apps/e

Dir     : e17/apps/e


Modified Files:
autogen.sh

Log Message:


no more autopoint. now it's causing other issues like depending on cvs.
enough. go back to automake 1.9 if u insist on building e from cvs.

===================================================================
RCS file: /cvs/e/e17/apps/e/autogen.sh,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -3 -r1.19 -r1.20
--- autogen.sh	1 Nov 2006 12:52:48 -0000	1.19
+++ autogen.sh	2 Nov 2006 16:10:08 -0000	1.20
@@ -5,7 +5,9 @@
touch README -echo "Running autopoint..." ; autopoint -f || exit 1
+# no more autopoint. cuases too many hassles. too bad gentoo users - go
back +# to automake 1.9 :(
+#echo "Running autopoint..." ; autopoint -f || exit 1
 echo "Running aclocal..." ; aclocal $ACLOCAL_FLAGS -I m4 || exit 1
 echo "Running autoconf..." ; autoconf || exit 1
 echo "Running autoheader..." ; autoheader || exit 1

This will haunt us until fixed somehow like it has the past several weeks :)

I doubt that not running autopoint helps much. I agree that requiring cvs seems silly, but most often you will just have updated your *cvs* checkout when you run autogen.sh.

I think that at least running autopoint when cvs is available, as in attached patch, may reduce the noise level from this subject.

actually i run autogen often - with no network around. i regen everything. cvs
commands existing doesn't mean cvs access is ok. also caro reported it asking
for a specific cvs TAG (gettext_0_14_1 or something). it's doing something
REALLY hackish. i don't like it one little bit. (autopoint already checks if
cvs command is available).

For reasons I cannot comprehend autopoint insists that a cvs program is
available. If it is not, autopoint will fail and the autofoo will not be
configured properly, so it makes no sense not calling autopoint or
continuing when autopoint fails.
However, if autopoint is happy with the cvs command, autopoint does not
fail if there is no network access.

I have now set things up as I think they are supposed to be. I suggest
to give it a try before dismissing it again. Install cvs if you don't
have it installed, curse a few times about auto*, and move on if it
works.

Before my last commits, things were definitely broken, and if for some
reason you don't want the current setup (i.e. using autopoint) somebody
will have to figure out how to make a "gettextiztion" where all required
stuff is committed to cvs.

Have fun.

/Kim